// wmwsrouter.idl : IDL source for wmwsrouter
//

// This file will be processed by the MIDL tool to
// produce the type library (wmwsrouter.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(ECC288AE-226E-4DFF-AAE4-A65E28B4B3D8),
	dual,
	nonextensible,
	helpstring("Iwmwsrouter2 Interface"),
	pointer_default(unique)
]
interface Iwmwsrouter2 : IDispatch{
	[id(1), helpstring("method OnProcessHeader")] HRESULT OnProcessHeader([in] VARIANT SOAPMsgInterface, [out, retval] VARIANT_BOOL *pResult);
	[id(2), helpstring("method OnTestMUHeaderBlock")] HRESULT OnTestMUHeaderBlock([in] BSTR bstrNamespace, [in] BSTR bstrLocalName, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(BB0FAFA6-5693-4C63-9209-3362C7AC0AE8),
	version(1.0),
	helpstring("wmwsrouter 1.0 Type Library")
]
library wmwsrouterLib
{
	importlib("stdole2.tlb");
	[
		uuid(0F7AC454-6BCD-4899-A709-9D9524228C38),
		helpstring("wmwsrouter2 Class")
	]
	coclass wmwsrouter2
	{
		[default] interface Iwmwsrouter2;
	};
};
